#include "pyperopen.h"

PyTypeObject pyperopen_Type = {
  PyObject_HEAD_INIT(&PyType_Type)
  0,
  "peropen",                /* char *tp_name; */
  sizeof(pyperopen_t),      /* int tp_basicsize; */
  0,                        /* int tp_itemsize;       /* not used much */
  pyperopen_dealloc,          /* destructor tp_dealloc; */
  0, //pyperopen_print,            /* printfunc  tp_print;   */
  0, //pyperopen_getattr,          /* getattrfunc  tp_getattr; /* __getattr__ */
  0, //pyperopen_setattr,          /* setattrfunc  tp_setattr;  /* __setattr__ */
  0, //pyperopen_compare,          /* cmpfunc  tp_compare;  /* __cmp__ */
  0, //pyperopen_repr,             /* reprfunc  tp_repr;    /* __repr__ */
  0, //&pyperopen_as_number,       /* PyNumberMethods *tp_as_number; */
  0,                        /* PySequenceMethods *tp_as_sequence; */
  0,                        /* PyMappingMethods *tp_as_mapping; */
  0, //pyperopen_hash              /* hashfunc tp_hash;     /* __hash__ */
  0,                        /* ternaryfunc tp_call;  /* __call__ */
  0, //pyperopen_str,              /* reprfunc tp_str;      /* __str__ */
};

PyObject *pyperopen_NEW()
{
  pyperopen_t *peropen = NULL;

  peropen = PyObject_NEW(pyperopen_t, &pyperopen_Type);

  return (PyObject *)peropen;
  
}

void pyperopen_dealloc(PyObject *self)
{
  PyMem_DEL(self);
}
